%define name banshee-community-extensions
%define version 2.0.1
%define release %mkrel 1

Summary: Contributed extensions for the Banshee media player
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://download.banshee.fm/%name/%version/%{name}-%{version}.tar.bz2
#gw mirage is GPL, all others MIT
License: MIT and GPLv2+
Group: Sound
Url: http://banshee-project.org/download/extensions/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: banshee-devel >= %{version}
BuildRequires: mono-devel
BuildRequires: lirc-devel
BuildRequires: gnome-sharp2-devel
%if %mdvver >= 201100
BuildRequires: notify-sharp-devel
%else
BuildRequires: notify-sharp
%endif
BuildRequires: webkit-sharp-devel
BuildRequires: clutter-sharp-devel
#gw not packaged:
#BuildRequires: ubuntuone-sharp
BuildRequires: libfftw-devel
BuildRequires: sqlite3-devel
BuildRequires: libgstreamer-plugins-base-devel
BuildRequires: libsamplerate-devel
BuildRequires: intltool
BuildRequires: gnome-doc-utils
BuildRequires: locales-en
#gw for the git snapshot:
BuildRequires: libGConf2-devel
Provides: banshee-mirage
Obsoletes: banshee-mirage
Suggests: gstreamer0.10-plugins-ugly
Suggests: gstreamer0.10-flac
Suggests: gstreamer0.10-plugins-good

%description
The following extensions are developed mostly by third-parties, and
are not vetted by the core Banshee developers (though that will
probably change over time).

 * Alarm Clock – You can use Banshee to wake up or go to sleep to a
   selection of your own music.
 * Awn – Sets the current album cover as banshee icon in awn.
 * ClutterFlow ? Browse your albums in a cover art flip-book-like view.
 * Cover Wallpaper – Sets the current playing album cover as the GNOME
   desktop wallpaper.
 * Karaoke – Filter the singers voice out of songs 
 * LCD – Display track info on a LCD using LCDproc.
 * Lirc – Control Banshee via a normal (infrared) remote
      control. Requires LIRC.
 * Live Radio – Another way to discover internet radio stations.
 * Lyrics – Fetches and displays lyrics for the current song.
 * Magnatune – Listen to streamed music from Magnatune.com.
 * Mirage – Adds playback shuffle-by-similar and Auto DJ fill-by-similar
   modes, based on songs' acoustic similarity.
 * Radio Station Fetcher – Fetch radio stations from shoutcast.com and
   xiph.org.  Stream Recorder – Record internet-radio streams.
 * Telepathy – Browse your IM friends' music library, download or
   stream their tracks and share what you're listening to.

%prep
%setup -q
%apply_patches

%build
#gw to make mcs accept Unicode symbols
export LC_ALL=en_US.UTF-8
%configure2_5x --with-vendor-build-id="%product_distribution %product_version"
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %name --with-gnome --all-name
rm -f %buildroot%_libdir/banshee/Extensions/lib*a
ln -sf %_libdir/clutter-sharp/* %buildroot%_libdir/banshee/Extensions/

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root)
%doc README NEWS AUTHORS
%_libdir/banshee/Extensions/Banshee.AlarmClock.dll*
%_libdir/banshee/Extensions/Banshee.Ampache.dll*
%_libdir/banshee/Extensions/Banshee.Awn.dll*
%_libdir/banshee/Extensions/Banshee.ClutterFlow.dll*
%_libdir/banshee/Extensions/Banshee.CoverWallpaper.dll*
%_libdir/banshee/Extensions/Banshee.Jamendo.dll*
%_libdir/banshee/Extensions/Banshee.Karaoke.dll*
%_libdir/banshee/Extensions/Banshee.LastfmFingerprint.dll*
%_libdir/banshee/Extensions/Banshee.LCD.dll*
%_libdir/banshee/Extensions/Banshee.Lirc.dll*
%_libdir/banshee/Extensions/Banshee.LiveRadio.dll*
%_libdir/banshee/Extensions/Banshee.Lyrics.dll*
%_libdir/banshee/Extensions/Banshee.Magnatune.dll*
%_libdir/banshee/Extensions/Banshee.Mirage.dll*
%_libdir/banshee/Extensions/Banshee.RadioStationFetcher.dll*
%_libdir/banshee/Extensions/Banshee.RandomByLastfm.dll*
%_libdir/banshee/Extensions/Banshee.Streamrecorder.dll*
%_libdir/banshee/Extensions/Banshee.Telepathy.dll*
%_libdir/banshee/Extensions/ClutterFlow.dll*
%_libdir/banshee/Extensions/Mirage.dll*
%_libdir/banshee/Extensions/clutter*sharp.dll*
%_libdir/banshee/Extensions/glib-sharp.dll*
%_libdir/banshee/Extensions/liblastfmfpbridge.so
%_libdir/banshee/Extensions/liblircglue.so
%_libdir/banshee/Extensions/libmirageaudio.so
%_datadir/gnome/help/banshee/C/AlarmClock*
%_datadir/%name/icons/hicolor/*/categories/jamendo.*


%changelog
* Wed May 04 2011 Götz Waschk <waschk@mandriva.org> 2.0.1-1mdv2011.0
+ Revision: 665934
- new version
- drop patch

* Tue Apr 19 2011 Götz Waschk <waschk@mandriva.org> 2.0.0-4
+ Revision: 655987
- add patch to prevent a crash in coverflow plugin

* Fri Apr 15 2011 Götz Waschk <waschk@mandriva.org> 2.0.0-3
+ Revision: 653119
- rebuild for new taglib-sharp

* Wed Apr 06 2011 Götz Waschk <waschk@mandriva.org> 2.0.0-2
+ Revision: 650959
- update description
- replace clutter-sharp by symlink
- spec file cleanup

* Tue Apr 05 2011 Funda Wang <fwang@mandriva.org> 2.0.0-1
+ Revision: 650638
- New version 2.0.0

* Thu Dec 16 2010 Götz Waschk <waschk@mandriva.org> 1.8.0-2mdv2011.0
+ Revision: 622363
- add a fix for clutterflow dll loading
- enable clutterflow

* Fri Oct 01 2010 Götz Waschk <waschk@mandriva.org> 1.8.0-1mdv2011.0
+ Revision: 582277
- update to new version 1.8.0

* Thu Sep 30 2010 Götz Waschk <waschk@mandriva.org> 1.7.6-2mdv2011.0
+ Revision: 582153
- rebuild

* Sun Sep 19 2010 Götz Waschk <waschk@mandriva.org> 1.7.6-1mdv2011.0
+ Revision: 579834
- new version
- bump banshee dep

* Mon Aug 30 2010 Götz Waschk <waschk@mandriva.org> 1.7.4-1mdv2011.0
+ Revision: 574351
- new version 1.7.4

* Tue Aug 17 2010 Götz Waschk <waschk@mandriva.org> 1.7.4-0.20100816.1mdv2011.0
+ Revision: 571080
- update build deps
- new git snapshot
- update file list

* Sun Aug 08 2010 Götz Waschk <waschk@mandriva.org> 1.6.1-2mdv2011.0
+ Revision: 567597
- update build deps

* Sat Jul 10 2010 Götz Waschk <waschk@mandriva.org> 1.6.1-1mdv2011.0
+ Revision: 550293
- update to new version 1.6.1

* Thu Apr 01 2010 Götz Waschk <waschk@mandriva.org> 1.6.0-1mdv2010.1
+ Revision: 530601
- update to new version 1.6.0

* Sun Mar 21 2010 Götz Waschk <waschk@mandriva.org> 1.5.5-2mdv2010.1
+ Revision: 526069
- rebuild for new taglib-sharp

* Fri Mar 12 2010 Götz Waschk <waschk@mandriva.org> 1.5.5-1mdv2010.1
+ Revision: 518351
- import banshee-community-extensions


